Package org.springframework.web.servlet.tags.form

# Class RadioButtonsTag

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
org.springframework.web.servlet.tags.RequestContextAwareTag
org.springframework.web.servlet.tags.HtmlEscapingAwareTag
org.springframework.web.servlet.tags.form.AbstractFormTag
org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag
org.springframework.web.servlet.tags.form.AbstractHtmlElementTag
org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag
org.springframework.web.servlet.tags.form.AbstractCheckedElementTag
org.springframework.web.servlet.tags.form.AbstractMultiCheckedElementTag
org.springframework.web.servlet.tags.form.RadioButtonsTag

All Implemented Interfaces:
  `DynamicAttributes`, `IterationTag`, `JspTag`, `Tag`, `TryCatchFinally`, `Serializable`, `EditorAwareTag`

public class RadioButtonsTag extends AbstractMultiCheckedElementTag
The `<radiobuttons>` tag renders multiple HTML 'input' tags with type 'radio'.

Rendered elements are marked as 'checked' if the configured `value` matches the bound value.

### Attribute Summary

Attribute | Required? | Runtime Expression? | Description
--- | --- | --- | ---
accesskey | false | true | HTML Standard Attribute
cssClass | false | true | HTML Optional Attribute
cssErrorClass | false | true | HTML Optional Attribute. Used when the bound field has errors.
cssStyle | false | true | HTML Optional Attribute
delimiter | false | true | Delimiter to use between each 'input' tag with type 'radio'. There is no delimiter by default.
dir | false | true | HTML Standard Attribute
disabled | false | true | HTML Optional Attribute. Setting the value of this attribute to 'true' will disable the HTML element.
element | false | true | Specifies the HTML element that is used to enclose each 'input' tag with type 'radio'. Defaults to 'span'.
htmlEscape | false | true | Enable/disable HTML escaping of rendered values.
id | false | true | HTML Standard Attribute
itemLabel | false | true | Value to be displayed as part of the 'input' tags with type 'radio'
items | true | true | The Collection, Map or array of objects used to generate the 'input' tags with type 'radio'
itemValue | false | true | Name of the property mapped to 'value' attribute of the 'input' tags with type 'radio'
lang | false | true | HTML Standard Attribute
onblur | false | true | HTML Event Attribute
onchange | false | true | HTML Event Attribute
onclick | false | true | HTML Event Attribute
ondblclick | false | true | HTML Event Attribute
onfocus | false | true | HTML Event Attribute
onkeydown | false | true | HTML Event Attribute
onkeypress | false | true | HTML Event Attribute
onkeyup | false | true | HTML Event Attribute
onmousedown | false | true | HTML Event Attribute
onmousemove | false | true | HTML Event Attribute
onmouseout | false | true | HTML Event Attribute
onmouseover | false | true | HTML Event Attribute
onmouseup | false | true | HTML Event Attribute
path | true | true | Path to property for data binding
tabindex | false | true | HTML Standard Attribute
title | false | true | HTML Standard Attribute

Since:
  2.5
Author:
  Thomas Risberg, Juergen Hoeller
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

`ACCESSKEY_ATTRIBUTE, DISABLED_ATTRIBUTE, ONBLUR_ATTRIBUTE, ONCHANGE_ATTRIBUTE, ONFOCUS_ATTRIBUTE, READONLY_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`CLASS_ATTRIBUTE, DIR_ATTRIBUTE, LANG_ATTRIBUTE, ONCLICK_ATTRIBUTE, ONDBLCLICK_ATTRIBUTE, ONKEYDOWN_ATTRIBUTE, ONKEYPRESS_ATTRIBUTE, ONKEYUP_ATTRIBUTE, ONMOUSEDOWN_ATTRIBUTE, ONMOUSEMOVE_ATTRIBUTE, ONMOUSEOUT_ATTRIBUTE, ONMOUSEOVER_ATTRIBUTE, ONMOUSEUP_ATTRIBUTE, STYLE_ATTRIBUTE, TABINDEX_ATTRIBUTE, TITLE_ATTRIBUTE`

### Fields inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`NESTED_PATH_VARIABLE_NAME`

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`RadioButtonsTag()`

## Method Summary

Modifier and Type
Method
Description
`protected String`
`getInputType()`
Return the type of the HTML input element to generate: "checkbox" or "radio".

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractMultiCheckedElementTag

`getDelimiter, getElement, getItemLabel, getItems, getItemValue, resolveId, setDelimiter, setElement, setItemLabel, setItems, setItemValue, writeTagContent`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractCheckedElementTag

`autogenerateId, isValidDynamicAttribute, renderFromBoolean, renderFromValue, renderFromValue`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlInputElementTag

`getAccesskey, getOnblur, getOnchange, getOnfocus, isDisabled, isReadonly, setAccesskey, setDisabled, setOnblur, setOnchange, setOnfocus, setReadonly, writeOptionalAttributes`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractHtmlElementTag

`getCssClass, getCssErrorClass, getCssStyle, getDir, getDynamicAttributes, getLang, getOnclick, getOndblclick, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getTabindex, getTitle, resolveCssClass, setCssClass, setCssErrorClass, setCssStyle, setDir, setDynamicAttribute, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setTabindex, setTitle, writeDefaultAttributes`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractDataBoundFormElementTag

`convertToDisplayString, doFinally, getBindStatus, getBoundValue, getEditor, getId, getName, getNestedPath, getPath, getPropertyEditor, getPropertyPath, processFieldValue, setId, setPath`

### Methods inherited from class org.springframework.web.servlet.tags.form.AbstractFormTag

`createTagWriter, doStartTagInternal, evaluate, getDisplayString, getDisplayString, isDefaultHtmlEscape, writeOptionalAttribute`

### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

`htmlEscape, isHtmlEscape, isResponseEncodedHtmlEscape, setHtmlEscape`

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doStartTag, getRequestContext`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`doAfterBody, doEndTag, findAncestorWithClass, getParent, getValue, getValues, release, removeValue, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RadioButtonsTag

public RadioButtonsTag()

## Method Details

### getInputType

protected String getInputType()
Description copied from class: `AbstractCheckedElementTag`
Return the type of the HTML input element to generate: "checkbox" or "radio".

Specified by:
  `getInputType` in class `AbstractCheckedElementTag`